> ## Documentation Index
> Fetch the complete documentation index at: https://generaltranslation.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# 인용 포스트

> 특정 게시물에 대한 인용 포스트를 조회합니다

export const Button = ({href, children}) => {
  return <div className="not-prose group">
    <a href={href}>
      <button className="flex items-center space-x-2.5 py-1 px-4 bg-primary-dark dark:bg-white text-white dark:text-gray-950 rounded-full group-hover:opacity-[0.9] font-medium">
        <span>
          {children}
        </span>
        <svg width="3" height="24" viewBox="0 -9 3 24" class="h-6 rotate-0 overflow-visible"><path d="M0 0L3 3L0 6" fill="none" stroke="currentColor" stroke-width="1.5" stroke-linecap="round"></path></svg>
      </button>
    </a>
  </div>;
};

Quote Posts 엔드포인트를 사용하면 특정 게시물을 인용한 포스트를 가져올 수 있습니다. 사용자가 콘텐츠에 대해 어떻게 댓글을 달고 공유하는지 확인해 보세요.

<div id="overview">
  ## 개요
</div>

<CardGroup cols={2}>
  <Card title="인용 조회" icon="quote-right">
    하나의 게시물에 대한 모든 인용 포스트를 조회합니다
  </Card>

  <Card title="참여 인사이트" icon="chart-line">
    콘텐츠가 어떻게 논의되고 있는지 확인합니다
  </Card>
</CardGroup>

***

<div id="endpoint">
  ## 엔드포인트
</div>

| Method | Endpoint                                                         | Description           |
| :----- | :--------------------------------------------------------------- | :-------------------- |
| GET    | [`/2/tweets/:id/quote_tweets`](/ko/x-api/posts/get-quoted-posts) | 게시물에 대한 인용 포스트를 가져옵니다 |

***

<div id="example-request">
  ## 예시 요청
</div>

```bash theme={null}
curl "https://api.x.com/2/tweets/1234567890/quote_tweets?\
tweet.fields=created_at,author_id,public_metrics&\
expansions=author_id&\
user.fields=username" \
  -H "Authorization: Bearer $BEARER_TOKEN"
```

<div id="example-response">
  ## 응답 예시
</div>

```json theme={null}
{
  "data": [
    {
      "id": "9876543210",
      "text": "Great point! This is exactly what we need.",
      "author_id": "1111111111",
      "created_at": "2024-01-15T10:30:00.000Z"
    }
  ],
  "includes": {
    "users": [
      {
        "id": "1111111111",
        "username": "example_user"
      }
    ]
  },
  "meta": {
    "result_count": 1
  }
}
```

***

<div id="getting-started">
  ## 시작하기
</div>

<Note>
  **사전 준비 사항**

  * 승인된 [개발자 계정](https://developer.x.com/en/portal/petition/essential/basic-info)
  * 개발자 콘솔의 [Project 및 App](/ko/resources/fundamentals/developer-apps)
  * App의 [키와 토큰](/ko/resources/fundamentals/authentication)
</Note>

<CardGroup cols={2}>
  <Card title="빠른 시작" icon="rocket" href="/ko/x-api/posts/quote-tweets/quickstart">
    특정 게시물에 대한 인용 포스트 가져오기
  </Card>

  <Card title="API 참조 문서" icon="code" href="/ko/x-api/posts/quote-tweets-lookup">
    전체 엔드포인트 문서
  </Card>
</CardGroup>
